﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VCMC
{
    public partial class FormADContacts : Form
    {
        string token;
        public FormADContacts(string ftoken)
        {
            InitializeComponent();
            token = ftoken;
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            textBox1.Text.Replace(" ", "");
            textBox1.SelectionStart = textBox1.Text.Length;
            textBox1.ScrollToCaret();
            if (textBox1.Text == "")
            {
                buttonOK.Enabled = false;
            }
            else
            {
                buttonOK.Enabled = true;
            }
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            string action;
            if (radioButtonAdd.Checked == true && radioButtonDelete.Checked == false)
            {
                action = "add";
            }
            else
            {
                action = "del";
            }
            string[] contact = api.addDelContactList(token, textBox1.Text, action);
            if (contact[0] == "True")
            {
                this.Hide();
            }
            else
            {
                MessageBox.Show(contact[2], "Oops", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
