﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using api = VCMC.api;
using Newtonsoft.Json;
using System.Threading;
using System.Globalization;

namespace VCMC
{
    public partial class FormLogin : Form
    {
        public FormLogin()
        {
            /*
            if (Properties.Settings.Default.language != "")
            {
                Thread.CurrentThread.CurrentCulture = new CultureInfo(Properties.Settings.Default.language);
                Thread.CurrentThread.CurrentUICulture = new CultureInfo(Properties.Settings.Default.language);
            }
             */
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            button1.Enabled = false;
            labelLogin.Enabled = false;
            labelPassword.Enabled = false;
            String loginRequest = HTTPClient.GetRequest(api.getServerUrl() + "/loginIn.php?login=" + textBoxLogin.Text + "&password=" + textBoxPassword.Text);
            LoginIn logininjson = JsonConvert.DeserializeObject<LoginIn>(loginRequest);
            if (logininjson.ok == false)
            {
                MessageBox.Show(logininjson.error, "Oops!", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else if (logininjson.ok == true)
            {
                MainForm mf = new MainForm(logininjson.access_token, logininjson.nickname);
                mf.Show();
                this.Hide();
            }
            button1.Enabled = true;
            labelLogin.Enabled = true;
            labelPassword.Enabled = true;
        }
    }

    public class LoginIn
    {
        public bool ok { get; set; }
        public string error { get; set; }
        public string access_token { get; set; }
        public string user_id { get; set; }
        public string nickname { get; set; }
    }
}
