﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VCMC
{
    public partial class FormMessages : Form
    {
        string token;
        string nickname;
        public FormMessages(string ftoken, string fnickname)
        {
            InitializeComponent();
            token = ftoken;
            nickname = fnickname;
            timer1.Start();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            string[] update = api.getUpdatesMessages(token, nickname, 1);
            if (update[0] == "True")
            {
                if (update[2] == "1")
                {
                    richTextBoxHistory.Text += nickname + ": " + update[3] + "\n";
                }
            }
            else
            {
                MessageBox.Show(update[1], "Oops");
                timer1.Stop();
            }
        }

        private void buttonSend_Click(object sender, EventArgs e)
        {
            buttonSend.Enabled = false;
            richTextBoxMessage.Enabled = false;
            string[] sm = api.sendMessage(token, nickname, richTextBoxMessage.Text);
            if (sm[0] == "True")
            {
                richTextBoxHistory.Text += "You: " + richTextBoxMessage.Text + "\n";
                buttonSend.Enabled = true;
                richTextBoxMessage.Enabled = true;
                richTextBoxMessage.Text = "";
            }
        }

        private void FormMessages_Load(object sender, EventArgs e)
        {
            string[] abouthesuser = api.getUser(nickname);
            if (abouthesuser[0] == "False")
            {
                MessageBox.Show(abouthesuser[2], "Oops!");
            }
            this.Text = this.Text.Replace("%username%", abouthesuser[3] + " (" + abouthesuser[1] + ")");
        }

        private void richTextBoxHistory_TextChanged(object sender, EventArgs e)
        {
            richTextBoxHistory.SelectionStart = richTextBoxHistory.Text.Length;
            richTextBoxHistory.ScrollToCaret();
        }
    }
}
